X
Tap here to go to the mobile version of the site.

Support Forum

I am trying to reinstall Silverlight plugin, but get an error messages that tells me that my system does not support 64bit version, I am running Vista64.

Posted

My computer is an older quad-core intel based system, running Vista64 Ultimate. I have used Firefox for years, and have the latest version. Amazon.com Instant Video is asking me to install Silverlight which I have been trying to do but find that when I download the .exe file and run it I get an error message telling me that my operating system does not support 64bit (huh?) The Microsoft site has no obvious support for this download anywhere. What do I do?

My computer is an older quad-core intel based system, running Vista64 Ultimate. I have used Firefox for years, and have the latest version. Amazon.com Instant Video is asking me to install Silverlight which I have been trying to do but find that when I download the .exe file and run it I get an error message telling me that my operating system does not support 64bit (huh?) The Microsoft site has no obvious support for this download anywhere. What do I do?

Additional System Details

Installed Plug-ins

  • Adobe PDF Plug-In For Firefox and Netscape 10.1.15
  • Amazon MP3 Downloader Plugin 1.0.17
  • CANON iMAGE GATEWAY Album Plugin Utility Module for IJ
  • Content Blocker Extension
  • DivX Web Player version 3.1.1.9
  • DivX VOD Helper Plug-in
  • GEPlugin
  • Google Update
  • NPRuntime Script Plug-in Library for Java(TM) Deploy
  • Next Generation Java Plug-in 11.60.2 for Mozilla browsers
  • npmnqmp 989898989877
  • CANON iMAGE GATEWAY Mycamera Plugin
  • Online Banking Extension
  • The QuickTime Plugin allows you to view a wide variety of multimedia content in Web pages. For more information, visit the QuickTime Web site.
  • Shockwave Flash 13.0 r0
  • Shockwave Flash 19.0 r0
  • Adobe Shockwave for Director Netscape plug-in, version 11.5.9.615
  • Unity Player 4.0.1f1
  • Virtual Keyboard
  • Windows Presentation Foundation (WPF) plug-in for Mozilla browsers

Application

  • Firefox 41.0.1
  • User Agent: Mozilla/5.0 (Windows NT 6.0; WOW64; rv:41.0) Gecko/20100101 Firefox/41.0
  • Support URL: https://support.mozilla.org/1/firefox/41.0.1/WINNT/en-US/

Extensions

  • Dangerous Websites Blocker 4.5.1.379 (content_blocker_663BE84DBCC949E88C7600F63CA7F098@kaspersky.com)
  • Safe Money 4.5.1.379 (online_banking_08806E753BE44495B44E90AA2513BDC5@kaspersky.com)
  • Virtual Keyboard 4.5.1.379 (virtual_keyboard_07402848C2F6470194F131B0F3DE025E@kaspersky.com)
  • Microsoft .NET Framework Assistant 0.0.0 ({20a82645-c095-46ed-80e3-08825760534b}) (Inactive)
  • Move Media Player 7 (moveplayer@movenetworks.com) (Inactive)

Javascript

  • incrementalGCEnabled: True

Graphics

  • adapterDescription: NVIDIA GeForce 9500 GT
  • adapterDescription2:
  • adapterDeviceID: 0x0640
  • adapterDeviceID2:
  • adapterDrivers: nvd3dumx,nvwgf2umx,nvwgf2umx nvd3dum,nvwgf2um,nvwgf2um
  • adapterDrivers2:
  • adapterRAM: 1024
  • adapterRAM2:
  • adapterSubsysID: 704619da
  • adapterSubsysID2:
  • adapterVendorID: 0x10de
  • adapterVendorID2:
  • direct2DEnabled: True
  • directWriteEnabled: True
  • directWriteVersion: 7.0.6002.23771
  • driverDate: 8-17-2015
  • driverDate2:
  • driverVersion: 9.18.13.4181
  • driverVersion2:
  • info: {u'AzureCanvasBackend': u'direct2d', u'AzureFallbackCanvasBackend': u'cairo', u'AzureContentBackend': u'direct2d', u'AzureSkiaAccelerated': 0}
  • isGPU2Active: False
  • numAcceleratedWindows: 1
  • numTotalWindows: 1
  • supportsHardwareH264: False
  • webglRenderer: Google Inc. -- ANGLE (NVIDIA GeForce 9500 GT Direct3D9Ex vs_3_0 ps_3_0)
  • windowLayerManagerRemote: True
  • windowLayerManagerType: Direct3D 11

Modified Preferences

Misc

  • User JS: Yes
  • Accessibility: No
Machine Master 20 solutions 205 answers

Hello there,

Unfortunately Win64 Firefox as of V41.0+ will only have the 64-bit Flash Player white listed currently and will not support Silverlight plugin anymore. https://support.mozilla.org/en-US/questions/1080439

Hope this helps!

Hello there, Unfortunately Win64 Firefox as of V41.0+ will only have the 64-bit Flash Player white listed currently and will not support Silverlight plugin anymore. https://support.mozilla.org/en-US/questions/1080439 Hope this helps!
the-edmeister
  • Top 25 Contributor
  • Moderator
5397 solutions 40130 answers

I don't know about SIlverlight 64-bit, but Firefox would need the 32-bit version of Silverlight. And when Mozilla does release the 64-bit Windows version it will be for Windows 7, 8.1, and Windows 10 - there won't be WinXP 64 and Vista 64 compatibility. And as Machine Master mentioned, only Flash 64 will be supported - no other plugins.

I don't know about SIlverlight 64-bit, but Firefox would need the 32-bit version of Silverlight. And when Mozilla does release the 64-bit Windows version it will be for Windows 7, 8.1, and Windows 10 - there won't be WinXP 64 and Vista 64 compatibility. And as ''Machine Master'' mentioned, only Flash 64 will be supported - no other plugins.
James
  • Moderator
1595 solutions 11242 answers

You may have 64-bit Vista however you are running 32-bit Firefox (for Windows) so you need 32-bit Plugins for them to run on your Firefox. The WOW64 in your Firefox useragent shows it is a 32-bit application running on 64-bit Windows.

You may have 64-bit Vista however you are running 32-bit Firefox (for Windows) so you need 32-bit Plugins for them to run on your Firefox. The WOW64 in your Firefox useragent shows it is a 32-bit application running on 64-bit Windows.
jscher2000
  • Top 10 Contributor
8684 solutions 70998 answers

Can you try installing the 32-bit version from this page:

https://www.microsoft.com/getsilverlight/Get-Started/Install/Default.aspx

Can you try installing the 32-bit version from this page: https://www.microsoft.com/getsilverlight/Get-Started/Install/Default.aspx